# Starts a new query and returns the query id and info Starts a new query and returns the query id and info Endpoint: POST /queries/{tenantId}/start/{queryType}/{outputFormat} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The current tenant - `queryType` (string, required) The type of query - `outputFormat` (string, required) The output format of the query ## Request fields (application/json): - `context_id` (string) - `criteria` (object) - `limit` (number) The maximum number of rows to return - `name` (string) Optional name of the query - `offset` (number) The starting rows - `output_fields` (array, required) - `output_fields.alias` (string) - `output_fields.label` (string) - `output_fields.name` (string, required) - `sort_fields` (array) - `sort_fields.descending` (boolean) ## Response 200 fields (application/json): - `id` (string) The id of the query ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields